Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366022 - List of VM names leaking out of confirmation dialog in Host subtab "Virtual Machines"
Summary: List of VM names leaking out of confirmation dialog in Host subtab "Virtual M...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0.2
Assignee: Tomas Jelinek
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 18:58 UTC by Pavel Stehlik
Modified: 2017-02-01 14:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:49:52 UTC
oVirt Team: Virt
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
vm-confirm-dialog.png (deleted)
2016-08-10 18:58 UTC, Pavel Stehlik
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 65420 master MERGED webadmin: VM names leaking out of confirm windows 2016-11-15 11:54:19 UTC

Description Pavel Stehlik 2016-08-10 18:58:17 UTC
Created attachment 1189783 [details]
vm-confirm-dialog.png

Description of problem:
 When trying to shutdown bunch of VMs from Host/VirtualMachines subtab the list of the VMs escapes out of the confirmation dialog. See att pic.

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-4.0.2.4-0.1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. have 20+ running VMs on one host
2. go to Hosts, select host & select VirtualMachines subtab
3. select 20+ VMs & try to Shutdown them

Actual results:
 The list of VMs are leaking out of the confirmation dialogue and in case the list is longer vertical scrollbar is shown - however for whole page with engine (instead inside the confirmation dialog only).

Expected results:
 Same design as in Virtual Machines main tab.

Additional info:

Comment 1 Sandro Bonazzola 2016-12-12 13:56:13 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 2 Jiri Belka 2017-01-13 08:49:47 UTC
ok, ovirt-engine-webadmin-portal-4.1.0-0.4.master.20170111151514.git3d62579.el7.centos.noarch


Note You need to log in before you can comment on or make changes to this bug.